## Retrieve a customer

### cURL

```bash
curl --request GET \
  --url https://api.withflex.com/v1/customers/{id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.withflex.com/v1/customers/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/customers/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/customers/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/customers/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/customers/{id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/customers/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Status Codes

- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Example Response

```json
{
  "customer": {
    "customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
    "owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "first_name": "John",
    "last_name": "Doe",
    "email": "joh.doe@example.com",
    "phone": "+15555555555",
    "employer": "Flex",
    "shipping": {},
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "created_at": "2026-06-15T14:30:00Z",
    "test_mode": false
  }
}
```

### Error Response Example

```json
{
  "code": "string",
  "detail": "string"
}
```

### Authorization Requirement
- **Authorization**: Use a Bearer token to access this API.

### Path Parameters
- **id**: Required string parameter. Example: "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

### Query Parameters
- **include_org**: Optional boolean, defaults to `false`. Resolves a customer owned by a sibling partner in the same organization. Returns `404` if not shared unless set to `true`.

### Response Description
- **200**: An envelope wrapping a single customer object.

#### Customer Object Attributes
```json
{
  "customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
  "owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
  "first_name": "John",
  "last_name": "Doe",
  "email": "joh.doe@example.com",
  "phone": "+15555555555",
  "employer": "Flex",
  "shipping": {
    "shipping_address_id": "fsh_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "line1": "123 Main St",
    "line2": "Suite 100",
    "city": "San Francisco",
    "state": "CA",
    "postal_code": "94107",
    "country": "US"
  },
  "metadata": { "order_id": "8842", "channel": "shopify" },
  "created_at": "2026-06-15T14:30:00Z",
  "test_mode": false
}
```
